## Class TTextBoxMode

Description

TTextBoxMode class.

TTextBoxMode defines the enumerable type for the possible mode that a TTextBox control could be at.

The following enumerable values are defined:

- SingleLine: the textbox will be a regular single line input
- MultiLine: the textbox will be a textarea allowing multiple line input
- Password: the textbox will hide user input like a password input box

- since: 3.0.4
- version: $Id: TTextBox.php 1850 2007-04-09 03:32:50Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TTextBox.php (line 568)

    TEnumerable
       |
       --TTextBoxMode

Class Constant Summary
MultiLine = 'MultiLine'
Password = 'Password'
SingleLine = 'SingleLine'
Class Constants
MultiLine = 'MultiLine' (line 571)
Password = 'Password' (line 572)
SingleLine = 'SingleLine' (line 570)

Documentation generated on Mon, 21 Apr 2008 11:36:34 -0400 by phpDocumentor 1.3.0RC4